<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <script src="https://js.pusher.com/5.0/pusher.min.js"></script>

    <script>

    
  </script>


    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link rel="stylesheet" href="app.css">


    <title>Hello, world!</title>
  </head>
  <body>
        <div class =" main row">
            <div class ="sidebar col-sm-2">
                <div id = "channel-heading">channel
                </div>
                    <ul id="channel">
                    </ul>
                <ul>
                    <li id="updateChannel">
                
                    </li>
                </ul>
                
                <div style="margin-top:10px; margin-left:25px;">
                    <form  id="createChannel">
                        <div class="input-group input-group-sm mb-2">
                            <input placeholder="create channel" type="text" class="form-control" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-sm" id="channel-name" >
                        </div>
                        <input type="submit" value="create channel" hidden>
                    </form>
                </div>
            </div>

            <div class="mainbar col-sm-9">
                <div class="row">
                    <div class="body col-sm-12">
                        <div id="fixed-top">
                            <nav class="navbar navbar-light bg-light">
                                <a id="channel-head-active" class="navbar-brand">Channel Name</a> 
                                <button onclick="createNewUser()"type="button" class="btn btn-info">Create new user</button>l
                            </nav>
                        </div>

                        <div id="relative-middle">
                            <div id="message">
                                Select channel to see messages
                            </div>
                            <div id="pushMessage"></div>
                        </div>
                        
                        <div id="fixed-bottom" style="margin-left:30px;">
                            <form id="createMessage">
                                <div class="form-group">
                                    <input class="form-control" type="text" placeholder="send messages" id="messageText">    
                                </div>
                                <input type="submit" hidden>
                            </form>
                        </div>
                    </div>
                </div> 
            </div>
        </div>


    <script rel="stylesheet" src="script.js"></script>


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>